dnl
dnl Much thanks to the etherx build system
dnl

dnl
dnl ETHERX_INIT_HOOK
dnl
AC_DEFUN([ETHERX_INIT_HOOK],[
	AC_SUBST(ETHERX_LIBS)
	AC_SUBST(ETHERX_LIBDIR)
	AC_SUBST(ETHERX_INCLUDEDIR)

	AC_ARG_WITH(etherx-includes,
	[  --with-etherx-includes  Specify the location of Jabber headers],[
	CFLAGS="$CFLAGS -I$withval"
	])

	AC_ARG_WITH(etherx-libs,
	[ --with-etherx-libs       Specify the location of Jabber libs],[
	LDFLAGS="$LDFLAGS -L$withval"
	etherx_prefix=$withval
	])

	AC_ARG_WITH(etherx,
	[  --with-etherx           Specify the location of Jabber files],
		if test x$withval=xyes; then
			want_etherx=yes
			ifelse([$1],[],:,[$1])
		else
			if test "x$withval" = xno; then
				want_etherx=no
			else
				want_etherx=yes
				LDFLAGS="$LDFLAGS -L$withval/lib"
				CFLAGS="$CFLAGS -I$withval/include"
				etherx_prefix=$withval/lib
			fi
		fi,
		want_etherx=yes)
	
	if test "x$want_etherx" = xyes; then
		PATH=$PATH:$prefix/bin
		AC_PATH_PROG(ETHERX_CONFIG,etherx-config,no)
		if test "$ETHERX_CONFIG" = "no"; then
			AC_MSG_ERROR([
********************************************
* You are missing the etherx-config script *
* This is installed by the etherx package  *
* and is necessary to continue             *
********************************************])
			no_etherx_config="yes"
		else
			AC_MSG_CHECKING(if $ETHERX_CONFIG works)
	      if $ETHERX_CONFIG --libs >/dev/null 2>&1; then
	        AC_MSG_RESULT(yes)
	        ETHERX_LIBS="`$ETHERX_CONFIG --libs`"
	        ETHERX_LIBDIR="-L`$ETHERX_CONFIG --libdir`"
	        ETHERX_INCLUDEDIR="`$ETHERX_CONFIG --cflags`"
                $1
	      else
	        AC_MSG_RESULT(no)
	        no_etherx_config="yes"
              fi
            fi

	    if test x$exec_prefix = xNONE; then
	        if test x$prefix = xNONE; then
		    etherx_prefix=$ac_default_prefix/lib
	        else
 		    etherx_prefix=$prefix/lib
	        fi
	    else
	        etherx_prefix=`eval echo \`echo $libdir\``
	    fi
	fi
])

dnl
dnl ETHERX_INIT
dnl
AC_DEFUN([ETHERX_INIT],[
	ETHERX_INIT_HOOK()
])
