dnl
dnl Much thanks to the jabber build system
dnl

dnl
dnl JABBER_INIT_HOOK
dnl
AC_DEFUN([JABBER_INIT_HOOK],[
	AC_SUBST(JABBER_LIBS)
	AC_SUBST(JABBER_LIBDIR)
	AC_SUBST(JABBER_INCLUDEDIR)

	AC_ARG_WITH(jabber-includes,
	[  --with-jabber-includes  Specify the location of Jabber headers],[
	CFLAGS="$CFLAGS -I$withval"
	])

	AC_ARG_WITH(jabber-libs,
	[ --with-jabber-libs       Specify the location of Jabber libs],[
	LDFLAGS="$LDFLAGS -L$withval"
	jabber_prefix=$withval
	])

	AC_ARG_WITH(jabber,
	[  --with-jabber           Specify the location of Jabber files],
		if test x$withval=xyes; then
			want_jabber=yes
			ifelse([$1],[],:,[$1])
		else
			if test "x$withval" = xno; then
				want_jabber=no
			else
				want_jabber=yes
				LDFLAGS="$LDFLAGS -L$withval/lib"
				CFLAGS="$CFLAGS -I$withval/include"
				jabber_prefix=$withval/lib
			fi
		fi,
		want_jabber=yes)
	
	if test "x$want_jabber" = xyes; then
		PATH=$PATH:$prefix/bin
		AC_PATH_PROG(JABBER_CONFIG,jabber-config,no)
		if test "$JABBER_CONFIG" = "no"; then
			no_jabber_config="yes"
			AC_MSG_ERROR([
*****************************************
* You are missing jabber-config, which  *
* is necessary to continue the build.   *
* This script is installed by libjabber *
* Please correct this to continue       *
*****************************************])
		else
			AC_MSG_CHECKING(if $JABBER_CONFIG works)
	      if $JABBER_CONFIG --libs >/dev/null 2>&1; then
	        AC_MSG_RESULT(yes)
	        JABBER_LIBS="`$JABBER_CONFIG --libs`"
	        JABBER_LIBDIR="-L`$JABBER_CONFIG --libdir`"
	        JABBER_INCLUDEDIR="`$JABBER_CONFIG --cflags`"
                $1
	      else
	        AC_MSG_RESULT(no)
	        no_jabber_config="yes"
              fi
            fi

	    if test x$exec_prefix = xNONE; then
	        if test x$prefix = xNONE; then
		    jabber_prefix=$ac_default_prefix/lib
	        else
 		    jabber_prefix=$prefix/lib
	        fi
	    else
	        jabber_prefix=`eval echo \`echo $libdir\``
	    fi
	fi
])

dnl
dnl JABBER_INIT
dnl
AC_DEFUN([JABBER_INIT],[
	JABBER_INIT_HOOK()
])
